| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros
LTC5599.h File Reference
RF, Silicon Oscillators, PLL Synthesizers, and VCOs » LTC5599: Direct Conversion I/Q Modulator

LTC5599: 140 to 1000MHz IQ modulator. More...

## Detailed Description

LTC5599: 140 to 1000MHz IQ modulator.

http://www.linear.com/product/LTC5599

http://www.linear.com/product/LTC5599#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Header for LTC5599: Direct Conversion I/Q Modulator

Definition in file LTC5599.h.

Go to the source code of this file.

## Functions
void | LTC5599_write_read (uint8_t cs, uint8_t address, uint8_t rw, uint8_t tx, uint8_t *rx)
| Reads the modulator register and returns 8-bit data. More...

## Macros
#define | LTC5599_CS QUIKEVAL_CS
| Define the SPI CS pin. More...
LTC5599 read/write bits
#define | LTC5599_WRITE 0x00
#define | LTC5599_READ 0x01

## Function Documentation

## ◆ LTC5599_write_read()

void LTC5599_write_read | ( | uint8_t | cs,
|  | uint8_t | address,
|  | uint8_t | rw,
|  | uint8_t | tx,
|  | uint8_t * | rx
| ) |  |

Reads the modulator register and returns 8-bit data.

Returns
  void

Parameters

  cs | Chip Select Pin
  address | Channel address, config bits ORed together
  rx | Returns code read from device

Definition at line 70 of file LTC5599.cpp.

## Macro Definition Documentation

## ◆ LTC5599_CS

#define LTC5599_CS QUIKEVAL_CS

Define the SPI CS pin.

Definition at line 60 of file LTC5599.h.

## ◆ LTC5599_READ

#define LTC5599_READ 0x01

Definition at line 68 of file LTC5599.h.

## ◆ LTC5599_WRITE

#define LTC5599_WRITE 0x00

Definition at line 66 of file LTC5599.h.